<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.Role"
	import="net.sf.basedb.core.Group"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.SystemItems"
	import="net.sf.basedb.core.ItemQuery"
	import="net.sf.basedb.core.query.Expressions"
	import="net.sf.basedb.core.query.Hql"
	import="net.sf.basedb.core.query.Restrictions"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.util.Values"
	import="java.util.List"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	boolean isAdmin = false;
	boolean isPatientCurator = false;
	try
	{
		Role admin = Role.getById(dc, SystemItems.getId(Role.ADMINISTRATOR));
		isAdmin = sc.isMemberOf(admin);
	}
	catch (RuntimeException ex)
	{}
	try
	{
		ItemQuery<Group> query = Group.getQuery();
		query.restrict(Restrictions.eq(Hql.property("name"), Expressions.string("PatientCurator")));
		List<Group> result = query.list(dc);
		if (result.size() == 1)
		{
			isPatientCurator = sc.isMemberOf(result.get(0));
		}
	}
	catch (RuntimeException ex)
	{}
%>
<base:page type="default" >
<base:head styles="path.css">
</base:head>
<base:body>

	<p:path style="margin-top: 20px; margin-bottom: 10px;">
		<p:pathelement title="Reggie" />
	</p:path>

	<table border="0" cellspacing="0" cellpadding="0" width="100%" style="margin-left: 20px;">
	<tr valign="top">
		<td width="50%">
	
		<h3 class="light">Reggie wizards</h3>
		<div class="boxedbottom">
			<ul>
			<%
			if (isAdmin)
			{
				%>
				<li><a href="install.jsp?ID=<%=ID%>">Verify/install required annotation types and other items</a>
				<%
			}
			if (isPatientCurator || isAdmin)
			{
				%>
				<li><a href="persinfo.jsp?ID=<%=ID%>">Personal information registration</a>
				<%
			}
			%>
			</ul>
		
		</div>
		</td>
		<td width="50%">
		</td>
	</tr>
	</table>


</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>